# eric4.Preferences.ConfigurationPages.MultiProjectPage

Module implementing the Multi Project configuration page.

### Global Attributes

None

### Classes

MultiProjectPage | Class implementing the Multi Project configuration page.

### Functions

create | Module function to create the configuration page.

## MultiProjectPage

Class implementing the Multi Project configuration page.

### Derived from

ConfigurationPageBase, Ui_MultiProjectPage

### Class Attributes

None

### Class Methods

None

### Methods

MultiProjectPage | Constructor
on_workspaceButton_clicked | Private slot to display a directory selection dialog.
save | Public slot to save the Project configuration.

### Static Methods

None

#### MultiProjectPage (Constructor)

MultiProjectPage()

Constructor

#### MultiProjectPage.on_workspaceButton_clicked

on_workspaceButton_clicked()

Private slot to display a directory selection dialog.

#### MultiProjectPage.save

save()

Public slot to save the Project configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up